Bulk update of process instances
Mass updating process instances allows you to update instances of the specified process that are in the Pending status to the latest published version.
You can update either specific process instances or all active instances based on the specified template.
Methods for mass updating process instances:
Updating specific process instances.
- In the request body, specify the list of IDs of the process instances to be updated using
instanceIds.
Example request body for updating specific process instances:
{
"instanceIds":["131141f6-0d89-4316-a8f1-bc816f0672ef"]
}
Updating all active process instances by template.
- In the request body, specify the
"updateAllActive":trueparameter. - Optional. Use the
unselectedIdsparameter to specify a list of process instance IDs that should not be updated.
Example request body for updating all active process instances except those specified:
{
"updateAllActive":true,
"unselectedIds":["131141f6-0d89-4316-a8f1-bc816f0672ef"]
}
Request
POST /pub/v1/bpm/instance/bytemplate/{namespace}/{code}/version
Path parameters
| Parameter name | Value | Description | Additional |
|---|---|---|---|
| namespace | string | Workspace code |
Required |
| code | string | Process code |
Required |
Request body
The resource sent in the request body is Bulk update of process instances — Request. It contains the following writable properties:
{
"instanceIds": [
"uuid"
],
"unselectedIds": [
"uuid"
],
"updateAllActive": "boolean"
}
Properties
| Name | Type | Description | Additional |
|---|---|---|---|
| instanceIds[] | array of uuid |
List of IDs of updates process instances |
Optional |
| unselectedIds[] | array of uuid |
List of IDs of process instances to be updated |
Optional |
| updateAllActive | boolean |
Update all active process instances according to the set template |
Optional |
Authorization
This request requires the use of one of following authorisation methods:
API key
Response
The following HTTP status codes may be returned:
| Status code | Description | Resource |
|---|---|---|
| 200 | OK Model for bulk updating the process instances |
Model for bulk updating the process instances (Bulk update of process instances) |
| 400 | Bad Request Invalid request parameters |
|
| 403 | Forbidden Only a system administrator can perform bulk update of process instances |
|
| 404 | Not Found Process not found |